summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Igor Alexandrov <igor.alexandrov@outlook.com>2021-06-12 22:55:55 +0300
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2021-06-13 09:23:27 +0700
commit6587f3cd675cac81d6b84a27dc83277d9e97d03b (patch)
tree97dd27e5c1fa6fdd12542315633b6248516660d6
parent92abc86525772eeee67ca4849d923da7add6aa26 (diff)
downloadslackbuilds-6587f3cd675cac81d6b84a27dc83277d9e97d03b.tar.gz
slackbuilds-6587f3cd675cac81d6b84a27dc83277d9e97d03b.tar.xz
development/jdk11: Updated to version 11.0.11
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/jdk11/README25
-rw-r--r--development/jdk11/jdk11.SlackBuild35
-rw-r--r--development/jdk11/jdk11.info8
3 files changed, 30 insertions, 38 deletions
diff --git a/development/jdk11/README b/development/jdk11/README
index 3664b00f6c..78487aafed 100644
--- a/development/jdk11/README
+++ b/development/jdk11/README
@@ -1,20 +1,21 @@
jdk11 (Java Platform Standard Edition Development Kit)
The Java Platform Standard Edition Development Kit (JDK) includes
-both the runtime environment (Java virtual machine, the Java platform
-classes and supporting files) and development tools (compilers,
-debuggers, tool libraries and other tools). The JDK is a development
-environment for building applications, applets and components that
-can be deployed with the Java Platform Standard Edition Runtime
-Environment.
+both the runtime environment (Java virtual machine,
+the Java platform classes and supporting files) and development tools
+(compilers, debuggers, tool libraries and other tools).
+The JDK is a development environment for building applications,
+applets and components that can be deployed with the
+Java Platform Standard Edition Runtime Environment.
-More details: https://developer.oracle.com/java/
+More details:
+https://developer.oracle.com/java/
-This SlackBuild will repackage official Oracle JDK archive. You must
-accept the Oracle Technology Network License Agreement for Oracle Java
-SE to download this software
+This SlackBuild will repackage official Oracle JDK archive.
+You must accept the Oracle Technology Network License Agreement
+for Oracle Java SE to download this software
https://www.oracle.com/java/technologies/javase-jdk11-downloads.html
-After installation you will need to log out from the system and log in
-back for environment variables get updated.
+After installation you will need to log out from the system and log in back
+for environment variables get updated. Or just run "source /etc/profile"
diff --git a/development/jdk11/jdk11.SlackBuild b/development/jdk11/jdk11.SlackBuild
index 97d9ce17a1..b4896d17f0 100644
--- a/development/jdk11/jdk11.SlackBuild
+++ b/development/jdk11/jdk11.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for jdk11
-# Copyright 2019, 2020 Igor Alexandrov <igor.alexandrov@outlook.com>
+# Copyright 2019-2021 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=jdk11
-VERSION=${VERSION:-11.0.8}
+VERSION=${VERSION:-11.0.11}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,46 +35,42 @@ if [ -z "$ARCH" ]; then
esac
fi
-set -e
+set -eu
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "x86_64" ]; then
- LIBDIRSUFFIX="64"
-else
- echo "$ARCH port is not supported"
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION"
exit 1
fi
+LIBDIRSUFFIX=64
rm -rf $PKG
-mkdir -p $TMP $OUTPUT \
- $PKG/{install,etc/profile.d,usr/{lib${LIBDIRSUFFIX},doc/$PRGNAM-$VERSION}}
-
+mkdir -p $TMP $OUTPUT $PKG/{install,etc/profile.d,usr/{bin,lib${LIBDIRSUFFIX},doc/$PRGNAM-$VERSION,man/man1}}
cd $PKG/usr/lib${LIBDIRSUFFIX}
-tar -xvf $CWD/jdk-$VERSION?linux*.tar.gz
-mv $(tar -tf $CWD/jdk-$VERSION?linux*.tar.gz | head -1 | cut -d/ -f1) $PRGNAM-$VERSION
-
+tar -xvf $CWD/jdk-${VERSION}_linux*.tar.gz
+mv $(tar -tf $CWD/jdk-${VERSION}_linux*.tar.gz | head -1 | cut -d/ -f1) $PRGNAM-$VERSION
chown -R root:root $PRGNAM-$VERSION
find -L $PRGNAM-$VERSION \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
find $PRGNAM-$VERSION -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-find $PRGNAM-$VERSION/man -type f -exec gzip -9q {} \; 2> /dev/null || true
-for i in $(find $PRGNAM-$VERSION/man -type l 2> /dev/null); do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+(cd ../bin; find ../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/bin -type f -exec ln -s {} \;)
ln -sf $PRGNAM-$VERSION/lib/libjawt.so
ln -sf $PRGNAM-$VERSION/lib/server/libjvm.so
ln -sf $PRGNAM-$VERSION/lib/libjava.so
ln -sf $PRGNAM-$VERSION/lib/libawt.so
ln -sf $PRGNAM-$VERSION/lib/libawt_xawt.so
+ln -sf $PRGNAM-$VERSION/lib/jli/libjli.so
ln -sf $PRGNAM-$VERSION/lib/libverify.so
cd ../doc/$PRGNAM-$VERSION
@@ -82,21 +78,16 @@ ln -s ../../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/legal
ln -s ../../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/README.html
ln -s ../../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/release
cat $CWD/$PRGNAM.SlackBuild > $PRGNAM.SlackBuild
-cat $CWD/slack-desc > slack-desc
cd $PKG
cat > etc/profile.d/$PRGNAM.sh << EOF
#!/bin/sh
export JAVA_HOME=/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
-export MANPATH=\${MANPATH}:\${JAVA_HOME}/man
-export PATH=\${PATH}:\${JAVA_HOME}/bin
EOF
cat > etc/profile.d/$PRGNAM.csh << EOF
#!/bin/csh
setenv JAVA_HOME /usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
-setenv MANPATH \${MANPATH}:\${JAVA_HOME}/man
-setenv PATH \${PATH}:\${JAVA_HOME}/bin
EOF
chmod 755 etc/profile.d/*
diff --git a/development/jdk11/jdk11.info b/development/jdk11/jdk11.info
index 9b846810c8..0689b06027 100644
--- a/development/jdk11/jdk11.info
+++ b/development/jdk11/jdk11.info
@@ -1,10 +1,10 @@
PRGNAM="jdk11"
-VERSION="11.0.8"
-HOMEPAGE="https://www.oracle.com/technetwork/java/javase/downloads/index.html"
+VERSION="11.0.11"
+HOMEPAGE="https://developer.oracle.com/java"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://download.oracle.com/otn/java/jdk/11.0.8%2B10/dc5cf74f97104e8eac863698146a7ac3/jdk-11.0.8_linux-x64_bin.tar.gz"
-MD5SUM_x86_64="db2f0b99ded108c4f549464ae7812826"
+DOWNLOAD_x86_64="https://download.oracle.com/otn/java/jdk/11.0.11%2B9/ab2da78f32ed489abb3ff52fd0a02b1c/jdk-11.0.11_linux-x64_bin.tar.gz"
+MD5SUM_x86_64="36eba415122abe0355a8239389f1ab25"
REQUIRES=""
MAINTAINER="Igor Alexandrov"
EMAIL="igor.alexandrov@outlook.com"